package com.ruoyi.system.service.impl;

import java.util.List;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.ruoyi.common.core.page.TableDataInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.ProductDischargeMapper;
import com.ruoyi.system.domain.ProductDischarge;
import com.ruoyi.system.service.IProductDischargeService;

/**
 * 放电交流舱系统表 服务实现
 *
 * @author ruoyi
 */
@Service
public class ProductDischargeServiceImpl implements IProductDischargeService
{
    @Autowired
    private ProductDischargeMapper productDischargeMapper;

    /**
     * 查询放电交流舱系统集合
     *
     * @param productDischarge 放电交流舱系统信息
     * @return 放电交流舱系统集合
     */
    @Override
    public List<ProductDischarge> selectProductDischargeList(ProductDischarge productDischarge)
    {
        return productDischargeMapper.selectProductDischargeList(productDischarge);
    }

    /**
     * 分页查询放电交流舱系统集合
     *
     * @param productDischarge 放电交流舱系统信息
     * @return 分页数据
     */
    @Override
    public TableDataInfo selectProductDischargeListByPage(ProductDischarge productDischarge, Integer pageNum, Integer pageSize)
    {
        if (pageNum == null) pageNum = 1;
        if (pageSize == null) pageSize = 10;
        PageHelper.startPage(pageNum, pageSize);
        List<ProductDischarge> list = productDischargeMapper.selectProductDischargeList(productDischarge);
        PageInfo<ProductDischarge> pageInfo = new PageInfo<>(list);
        return new TableDataInfo(list, pageInfo.getTotal());
    }

    /**
     * 根据ID查询放电交流舱系统信息
     *
     * @return 放电交流舱系统信息
     */
    @Override
    public ProductDischarge selectProductDischargeById(String productId)
    {
        return productDischargeMapper.selectProductDischargeById(productId);
    }

    /**
     * 新增放电交流舱系统信息
     *
     * @param productDischarge 放电交流舱系统信息
     * @return 结果
     */
    @Override
    public int insertProductDischarge(ProductDischarge productDischarge)
    {
        return productDischargeMapper.insertProductDischarge(productDischarge);
    }

    /**
     * 修改放电交流舱系统信息
     *
     * @param productDischarge 放电交流舱系统信息
     * @return 结果
     */
    @Override
    public int updateProductDischarge(ProductDischarge productDischarge)
    {
        return productDischargeMapper.updateProductDischarge(productDischarge);
    }

    /**
     * 删除放电交流舱系统信息
     *
     * @return 结果
     */
    @Override
    public int deleteProductDischargeById(String ProductId)
    {
        return productDischargeMapper.deleteProductDischargeById(ProductId);
    }

    /**
     * 批量删除放电交流舱系统信息
     *
     * @param ids 需要删除的主键ID数组
     * @return 结果
     */
    @Override
    public int deleteProductDischargeByIds(Long[] ids)
    {
        return productDischargeMapper.deleteProductDischargeByIds(ids);
    }
}